Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Windowing

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.TimeOperator
                      edu.udo.cs.miningmart.operator.Windowing

public class Windowing
extends TimeOperator

Version:
  $Id: Windowing.java,v 1.5 2006/04/11 14:10:10 euler Exp $
Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Windowing()`

Method Summary
`protected void` | `createJavaColumns(Columnset newColumnSet)` This method needs to create the M4 JAVA objects for the new columns and has to link these objects to the base attributes (and vice versa).
`protected java.lang.String` | `getColumnSetSuffix()`
`Value` | `getDistance()`
`int` | `getNumberOfWindowedValuesBAs()`
`BaseAttribute` | `getOutEndTimeBA()`
`BaseAttribute` | `getOutStartTimeBA()`
`BaseAttribute` | `getTimeBA()`
`BaseAttribute` | `getValueBA()`
`BaseAttribute` | `getWindowedValueBA(int i)`
`Value` | `getWinSize()`
`protected void` | `runStoredProcedure(java.lang.String newColumnsetName)` This method calls the stored procedure in the database.

Methods inherited from class edu.udo.cs.miningmart.operator.TimeOperator
`baseattribHasColumns, createM4Column, createSingleColumnSet, executeDbProcedure, generateSQLDefinition, getQuotedColNameforInpBA, getQuotedColNameforOutBA, getQuotedColSetNameforCon, getTypeOfNewColumnSet, getUnquotedIntFromValue, mustCopyFeature, unquote, valueIsDouble, valueIsLong`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createStatement, estimateStatistics, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Windowing

    public Windowing()

Method Detail

### getColumnSetSuffix

    protected java.lang.String getColumnSetSuffix()

  Specified by:
    `getColumnSetSuffix` in class `TimeOperator`
  Returns:
    the suffix added to the concept name to get the name of the new column set

### getTimeBA

    public BaseAttribute getTimeBA()
                            throws M4CompilerError

  Throws:
    `M4CompilerError`

### getValueBA

    public BaseAttribute getValueBA()
                             throws M4CompilerError

  Throws:
    `M4CompilerError`

### getWinSize

    public Value getWinSize()
                     throws M4CompilerError

  Throws:
    `M4CompilerError`

### getDistance

    public Value getDistance()
                      throws M4CompilerError

  Throws:
    `M4CompilerError`

### getOutStartTimeBA

    public BaseAttribute getOutStartTimeBA()
                                    throws M4CompilerError

  Throws:
    `M4CompilerError`

### getOutEndTimeBA

    public BaseAttribute getOutEndTimeBA()
                                  throws M4CompilerError

  Throws:
    `M4CompilerError`

### getWindowedValueBA

    public BaseAttribute getWindowedValueBA(int i)
                                     throws M4CompilerError

  Throws:
    `M4CompilerError`

### getNumberOfWindowedValuesBAs

    public int getNumberOfWindowedValuesBAs()
                                     throws M4CompilerError

  Throws:
    `M4CompilerError`

### createJavaColumns

    protected void createJavaColumns(Columnset newColumnSet)
                              throws M4CompilerError

  Description copied from class: `TimeOperator`
  This method needs to create the M4 JAVA objects for the new columns and has to link these objects to the base attributes (and vice versa). Additionally the new columns need to be linked to the column set (and vice versa). If an operator creates base attributes by a kind of template mechanism, then the links of these objects to the concept should be set here, as well.

  Specified by:
    `createJavaColumns` in class `TimeOperator`
  Parameters:
    `newColumnSet` - the new column set generated by this operator
  Throws:
    `M4CompilerError`

### runStoredProcedure

    protected void runStoredProcedure(java.lang.String newColumnsetName)
                               throws java.sql.SQLException,
                                      M4CompilerError,
                                      TimeOperatorException

  Description copied from class: `TimeOperator`
  This method calls the stored procedure in the database. It passes all the involved table and column names to the stored procedure, which creates a new table for the results.

  Specified by:
    `runStoredProcedure` in class `TimeOperator`
  Parameters:
    `newColumnsetName` - the name of the table to be created for the results
  Throws:
    `java.sql.SQLException`
    `M4CompilerError`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005